<mat-card class="post-list-card-component__card ">
  <mat-card-header>
    <div class="post-list-card-component__card-remove" (click)="onRemove()">
      <fa-icon [icon]="faClose"></fa-icon>
    </div>
    <div mat-card-avatar class="post-list-card-component__card-image"></div>
    <mat-card-title>{{post.title}}</mat-card-title>
    <mat-card-subtitle>
    <span>
      {{post.author}}
    </span>
    </mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image [src]="post.photo" alt="">
  <mat-card-content class="post-list-card-component__card-content">
    <p>
      {{post.content}}
    </p>
  </mat-card-content>
  <mat-card-actions class="post-list-card-component__card-actions">
    <button mat-raised-button color="primary" (click)="viewPost()">Voir plus</button>
    <div class="post-list-card-component__reaction">
      <button class="post-list-card-component__reaction-like" mat-flat-button (click)="onLike(idx)">
        <fa-icon [ngClass]="{'liked': ratio >0}" [icon]="faLike"></fa-icon>
        <span>{{post.like}}</span>
      </button>
      <button class="post-list-card-component__reaction-dislike" mat-flat-button (click)="onDislike(idx)">
        <fa-icon [ngClass]="{'disliked': ratio<0}" [icon]="faDislike"></fa-icon>
        <span>{{post.dislike}}</span>
       </button>
    </div>
  </mat-card-actions>
</mat-card>
